/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\bodquest\BodQuestBag.cs
Lines of code: 29
***********************************************************/


using System;
using Server;


namespace Server.Engines.Quests.Bods
{
	public class BodQuestBag : Item
	{

		[Constructable]
		public BodQuestBag() : base( 0xE76 )
		{
			Weight = 2.0;
			Name="Quality Control Testing Bag";
			LootType=LootType.Blessed;
			Hue=137;
		}


		public BodQuestBag( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( (int) 1 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}